Index: /code/branches/pch/src/orxonox/gamestates/GSClient.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSClient.cc	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSClient.cc	(revision 3173)
@@ -30,5 +30,4 @@
 
 #include "util/Exception.h"
-#include "core/input/InputManager.h"
 #include "core/Clock.h"
 #include "core/CommandLine.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSClient.h
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSClient.h	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSClient.h	(revision 3173)
@@ -31,4 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include "core/GameState.h"
 #include "network/NetworkPrereqs.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSDedicated.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSDedicated.cc	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSDedicated.cc	(revision 3173)
@@ -29,12 +29,11 @@
 #include "GSDedicated.h"
 
+#include "util/Debug.h"
+#include "util/Sleep.h"
 #include "core/Clock.h"
 #include "core/CommandLine.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
-#include "core/ObjectList.h"
 #include "network/Server.h"
-#include "objects/Tickable.h"
-#include "util/Sleep.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/gamestates/GSDedicated.h
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSDedicated.h	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSDedicated.h	(revision 3173)
@@ -31,4 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include "core/GameState.h"
 #include "network/NetworkPrereqs.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSGraphics.cc	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSGraphics.cc	(revision 3173)
@@ -28,6 +28,7 @@
 
 /**
-    @file
-    @brief Implementation of Graphics GameState class.
+@file
+@brief
+    Implementation of Graphics GameState class.
  */
 
Index: /code/branches/pch/src/orxonox/gamestates/GSGraphics.h
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSGraphics.h	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSGraphics.h	(revision 3173)
@@ -27,8 +27,9 @@
  */
 
- /**
-    @file
-    @brief Declaration of the Graphics GameState class.
-  */
+/**
+@file
+@brief
+    Declaration of the Graphics GameState class.
+*/
 
 #ifndef _GSGraphics_H__
@@ -36,4 +37,5 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include "core/GameState.h"
 #include "tools/WindowEventListener.h"
@@ -42,7 +44,6 @@
 {
     /**
-    @class GSGraphics
     @brief
-        Game state used when displaying graphics of any kind
+        Game state used when displaying graphics of any kind. Another blubb resides here.
 
         This game state is only left out if we start a dedicated server where no graphics are present.
Index: /code/branches/pch/src/orxonox/gamestates/GSIOConsole.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSIOConsole.cc	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSIOConsole.cc	(revision 3173)
@@ -30,7 +30,4 @@
 
 #include <iostream>
-#include <OgreFrameListener.h>
-#include <OgreRoot.h>
-#include <OgreTimer.h>
 
 #include "core/ConsoleCommand.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3173)
@@ -30,26 +30,27 @@
 #include "GSLevel.h"
 
+#include "util/Debug.h"
 #include "core/input/InputManager.h"
 #include "core/input/SimpleInputState.h"
 #include "core/input/KeyBinder.h"
-#include "core/Loader.h"
-#include "core/XMLFile.h"
-#include "core/CommandExecutor.h"
+#include "core/Clock.h"
+#include "core/CommandLine.h"
 #include "core/ConsoleCommand.h"
-#include "core/CommandLine.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/Core.h"
-#include "core/CoreIncludes.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
+#include "core/Loader.h"
+#include "core/ObjectList.h"
+#include "core/XMLFile.h"
+
+#include "objects/Radar.h"
 #include "objects/Tickable.h"
-#include "objects/Radar.h"
+#include "objects/quest/QuestManager.h"
+#include "overlays/notifications/NotificationManager.h"
+#include "gui/GUIManager.h"
 #include "CameraManager.h"
 #include "GraphicsManager.h"
 #include "LevelManager.h"
 #include "PlayerManager.h"
-#include "gui/GUIManager.h"
-#include "objects/quest/QuestManager.h"
-#include "overlays/notifications/NotificationManager.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/gamestates/GSLevel.h
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSLevel.h	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSLevel.h	(revision 3173)
@@ -31,4 +31,6 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include <string>
 #include "core/OrxonoxClass.h"
 #include "core/GameState.h"
@@ -48,5 +50,4 @@
 
         static void showIngameGUI(bool show);
-        static void setLevel(std::string levelName);
 
         static XMLFile* startFile_s;
@@ -69,5 +70,5 @@
         LevelManager*         levelManager_;            //!< global level manager
         PlayerManager*        playerManager_;           //!< player manager for this level
-        QuestManager*          questManager_;
+        QuestManager*         questManager_;
         NotificationManager*  notificationManager_;
 
Index: /code/branches/pch/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSMainMenu.cc	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSMainMenu.cc	(revision 3173)
@@ -29,15 +29,15 @@
 #include "GSMainMenu.h"
 
-//#include <OgreViewport.h>
 #include <OgreSceneManager.h>
+
+#include "core/input/InputManager.h"
+#include "core/input/SimpleInputState.h"
+#include "core/Game.h"
 #include "core/Clock.h"
 #include "core/ConsoleCommand.h"
-#include "core/Game.h"
-#include "core/input/InputManager.h"
-#include "core/input/SimpleInputState.h"
+#include "objects/Scene.h"
 #include "gui/GUIManager.h"
-#include "objects/Scene.h"
+#include "sound/SoundMainMenu.h"
 #include "GraphicsManager.h"
-#include "sound/SoundMainMenu.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/gamestates/GSMainMenu.h
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSMainMenu.h	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSMainMenu.h	(revision 3173)
@@ -31,4 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include <OgrePrerequisites.h>
 #include "core/GameState.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSRoot.cc	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSRoot.cc	(revision 3173)
@@ -29,10 +29,9 @@
 #include "GSRoot.h"
 
-#include "util/Debug.h"
 #include "core/Clock.h"
+#include "core/CommandLine.h"
+#include "core/ConsoleCommand.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
-#include "core/CommandLine.h"
-#include "core/ConsoleCommand.h"
 #include "tools/TimeFactorListener.h"
 #include "tools/Timer.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSRoot.h
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSRoot.h	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSRoot.h	(revision 3173)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 #include "core/GameState.h"
-#include "core/OrxonoxClass.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/gamestates/GSServer.h
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSServer.h	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSServer.h	(revision 3173)
@@ -31,4 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include "core/GameState.h"
 #include "network/NetworkPrereqs.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSStandalone.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSStandalone.cc	(revision 3172)
+++ /code/branches/pch/src/orxonox/gamestates/GSStandalone.cc	(revision 3173)
@@ -29,11 +29,6 @@
 #include "GSStandalone.h"
 
-#include <OgreViewport.h>
-#include <OgreCamera.h>
 #include "core/Game.h"
 #include "core/GameMode.h"
-#include "core/ConsoleCommand.h"
-#include "gui/GUIManager.h"
-#include "GraphicsManager.h"
 
 namespace orxonox
